diff --git a/cm.sh b/cm.sh
index 50c5ec2443cdadeaf7b3990f896b9bdbf69aaa99..f342e4ab02774f74daa936c754d75f8d99a70b9c 100755
--- a/cm.sh
+++ b/cm.sh
@@ -34,6 +34,7 @@
 # 2022-04-21  <axel.hahn@iml.unibe.ch>  mix multiple domains using domain alias or not
 # 2022-05-19  <axel.hahn@iml.unibe.ch>  add timer and debug.log
 # 2022-05-20  <axel.hahn@iml.unibe.ch>  update _wait_4_free_slot and data in debug.log
+# 2023-02-01  <axel.hahn@unibe.ch>      skip function _fixKeyfile with former workaround
 # ======================================================================
 
 
@@ -73,16 +74,16 @@ CM_timer_start=$( date +%s.%N )
 # BUGFIX: acme.sh does not create a new key file on renew.
 # After switching from csr method to param -d we got a 0 byte Keyfile
 function _fixKeyfile(){
-	local _acme_keyfile=~/.acme.sh/${CM_fqdn}/${CM_fqdn}.key
-	if test ! -f "$_acme_keyfile"
-	then
-		echo "FIX: copy key from csr folder $CM_filekey to $_acme_keyfile"
-		if ! cp "$CM_filekey" "$_acme_keyfile"
-		then
-			exit 1
-		fi
-	fi
-
+	echo "SKIP: _fixKeyfile won't be executed anymore."
+	# local _acme_keyfile=~/.acme.sh/${CM_fqdn}/${CM_fqdn}.key
+	# if test ! -f "$_acme_keyfile"
+	# then
+	# 	echo "FIX: copy key from csr folder $CM_filekey to $_acme_keyfile"
+	# 	if ! cp "$CM_filekey" "$_acme_keyfile"
+	# 	then
+	# 		exit 1
+	# 	fi
+	# fi
 }
 
 # internal function; list certificates incl. creation date and renew date